commit:     f2eedcdbfedb96dfc136e0e18e08202442e5be2e
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Thu May 16 00:48:51 2024 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Thu May 16 00:50:06 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f2eedcdb

dev-libs/libltdl: add 2.5.0 (unkeyworded)

Added filter-lto for now but need to report upstream. I thought I'd seen
vapier fix this though (or something similar)...

Bug: https://bugs.gentoo.org/907427
Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-libs/libltdl/Manifest             |  1 +
 dev-libs/libltdl/libltdl-2.5.0.ebuild | 48 +++++++++++++++++++++++++++++++++++
 2 files changed, 49 insertions(+)

diff --git a/dev-libs/libltdl/Manifest b/dev-libs/libltdl/Manifest
index d36ba6c57618..1fd702479965 100644
--- a/dev-libs/libltdl/Manifest
+++ b/dev-libs/libltdl/Manifest
@@ -1 +1,2 @@
 DIST libtool-2.4.7.tar.xz 1016040 BLAKE2B 
5e022586337637dd634bd40578ad944bec6e3b8de41f95d55777b90cc88cbc4badb3d76cbf0e638166ece1ea7de828e83590e1e6bac30c1e4b1c254a11a742f2
 SHA512 
47f4c6de40927254ff9ba452612c0702aea6f4edc7e797f0966c8c6bf0340d533598976cdba17f0bdc64545572e71cd319bbb587aa5f47cd2e7c1d96f873a3da
+DIST libtool-2.5.0.tar.xz 1032148 BLAKE2B 
a166423dae1000eb0a8d17f3872ed55b3338444ac61f51752f43a5886bc22fd233e060c7f4c8c7fa093bf50e589f03b755c628199534ef7b8a41935e1bf9d887
 SHA512 
7b426fe9550a7899de93c372d2c355867be02f7bb39f2b1de06ff30cb34c81bf89759c835bdb23081cef60bfeb39b786ed90bac43e7300956fd8ee1f7dc0a609

diff --git a/dev-libs/libltdl/libltdl-2.5.0.ebuild 
b/dev-libs/libltdl/libltdl-2.5.0.ebuild
new file mode 100644
index 000000000000..0dc5df4fd2b2
--- /dev/null
+++ b/dev-libs/libltdl/libltdl-2.5.0.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+# Please bump with dev-build/libtool.
+
+inherit multilib-minimal flag-o-matic
+
+MY_P="libtool-${PV}"
+
+DESCRIPTION="A shared library tool for developers"
+HOMEPAGE="https://www.gnu.org/software/libtool/";
+if ! [[ $(( $(ver_cut 2) % 2 )) -eq 0 ]] ; then
+       SRC_URI="https://alpha.gnu.org/gnu/libtool/${MY_P}.tar.xz";
+else
+       SRC_URI="mirror://gnu/libtool/${MY_P}.tar.xz"
+       KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc 
~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos 
~x64-macos ~x64-solaris"
+fi
+
+S="${WORKDIR}"/${MY_P}/libltdl
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="static-libs"
+# libltdl doesn't have a testsuite.  Don't bother trying.
+RESTRICT="test"
+
+BDEPEND="app-arch/xz-utils"
+
+multilib_src_configure() {
+       # bug #907427
+       filter-lto
+
+       append-lfs-flags
+       ECONF_SOURCE="${S}" \
+       econf \
+               --enable-ltdl-install \
+               $(use_enable static-libs static)
+}
+
+multilib_src_install() {
+       emake DESTDIR="${D}" install
+
+       # While the libltdl.la file is not used directly, the m4 ltdl logic
+       # keys off of its existence when searching for ltdl support. # bug 
#293921
+       #use static-libs || find "${D}" -name libltdl.la -delete
+}

Reply via email to